from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XObjectInspectorUI(Protocol):
    def enablePropertyUI(self, PropertyName: str, Enable: bool) -> None: ...
    def enablePropertyUIElements(self, PropertyName: str, Elements: int, Enable: bool) -> None: ...
    def rebuildPropertyUI(self, PropertyName: str) -> None: ...
    def showPropertyUI(self, PropertyName: str) -> None: ...
    def hidePropertyUI(self, PropertyName: str) -> None: ...
    def showCategory(self, Category: str, Show: bool) -> None: ...
    def getPropertyControl(self, PropertyName: str) -> XPropertyControl: ...
    def registerControlObserver(self, Observer: XPropertyControlObserver) -> None: ...
    def revokeControlObserver(self, Observer: XPropertyControlObserver) -> None: ...
